Foreman - Feature #31989

Remove older katello-ca-consumer if present
03/02/2021 09:46 AM - Leos Stejskal

Status: Closed

Priority: Normal
Assignee: Leos Stejskal
Category: Host registration

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1921055 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8362

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1921055

Description of problem:
Registration should remove katello-ca-consumer if present to avoid conflicts when moving a system from Satellite -> Capsule or vice
versa.

Version-Release number of selected component (if applicable):
Satellite 6.9

How reproducible:
100%

Steps to Reproduce:

1. Register system with Satellite
2. Attempt to register to Capsule
3.

Actual results:

Error: Transaction test error:

file /usr/bin/katello-rhsm-consumer from install of katello-ca-consumer-ktordeur-testathon-capsule.kenny.lan-1.0-1.noarch conflicts with file from package

katello-ca-consumer-ktordeur-testathon.kenny.lan-1.0-1.noarch

~n~

Expected results:
No errors

Additional info:

History

#1 - 03/02/2021 09:46 AM - Leos Stejskal
- Category set to Host registration

- Assignee set to Leos Stejskal
https://bugzilla.redhat.com/show_bug.cgi?id=1921055

#2 - 03/02/2021 12:30 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8362 added

#3 - 03/18/2021 09:15 AM - Leos Stejskal

- Subject changed from Global Registration: Registration should remove older katello-ca-consumer if present to Remove older katello-ca-consumer if

present

#4 - 04/27/2021 05:41 AM - Leos Stejskal
- Status changed from Ready For Testing to Closed
